GROUPINFO(8)

NAME
groupinfo - displays group information

SYNOPSIS
groupinfo [-e] [-v] group

DESCRIPTION
The groupinfo utility retrieves the group information from the system.

The following command line options are recognised:

-e  return 0 if the group exists, and non-zero if the group does not exist, on the system. No information is displayed. This form of the command is useful for scripts which need to check whether a particular group name or gid is already in use on the system.

-v  perform any actions in a verbose manner.

The group argument may either be a group's name, or a gid.

The groupinfo utility exits 0 if the group name or gid exists, and non-zero if it does not.

HISTORY
The groupinfo utility first appeared in NetBSD 1.5. It is based on the addnerd package by the same author.

AUTHOR
The groupinfo utility was written by Alistair G. Crooks (agc@netbsd.org).

SEE ALSO
passwd(5), /etc/usermgmt.conf